Groovy 1.7.0

## org.codehaus.groovy.reflection
Class CachedField

    java.lang.Object
      groovy.lang.MetaProperty
          org.codehaus.groovy.reflection.CachedField

    class CachedField
    extends MetaProperty

Field Summary
`Field` | `field`

Fields inherited from class MetaProperty
name, type

Constructor Summary
`CachedField(Field field)`

Method Summary
`int` | `getModifiers()`
`Object` | `getProperty(Object object)`
`boolean` | `isStatic()`
`void` | `setProperty(Object object, Object newValue)` Sets the property on the given object to the new value

Methods inherited from class MetaProperty
getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### field

    final Field field

Constructor Detail

### CachedField

    public CachedField(Field field)

Method Detail

### getModifiers

    public int getModifiers()

### getProperty

    public Object getProperty(Object object)

  return:
    the property of the given object
  throws:
    Exception if the property could not be evaluated

### isStatic

    public boolean isStatic()

### setProperty

    public void setProperty(Object object, Object newValue)

  Sets the property on the given object to the new value
  param:
    object on which to set the property
  param:
    newValue the new value of the property
  throws:
    RuntimeException if the property could not be set

Copyright © 2003-2009 The Codehaus. All rights reserved.